Subject: Re: GCC
From: Earnie Boyd <[email-masked]>
To: Kai Henningsen <[email-masked]>, hark sng- <[email-masked]>, Mumit Khan <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 Sep 1999 05:49:54 -0700 (PDT)

--- Kai Henningsen <[email-masked]> wrote:
> On 13 Sep 99, at 8:18, Earnie Boyd wrote:
> 
> > --- Kai Henningsen <[email-masked]> wrote:
> > -8<-
> > > Found: f:\cygnus\cygwin-b20\H-i586-cygwin32\bin\cpp.exe
> > > Found: f:\cygnus\CYGWIN~1\H-I586~1\bin\cpp.exe
> > -8<-
> >
> > This should not be here.  You've moved/copied it from the correct location
> > underneath lib/gcc-lib/i586-cygwin32/<gcc-version>/.
> 
> I haven't touched it. Let's see ...
> 
> bash-2.02$ find //f/cygnus/ -name "*cpp*" 2>/dev/null
> //f/cygnus/cygwin-b20/H-i586-cygwin32/bin/cpp.exe
> bash-2.02$
> 
> ... so *none* of the packages I installed put cpp in gcc-lib. And
> neither did I get two copies as Mumit said. [*]
> 

_YES_ it did!  Look again!  If it's not there, you've a problem with the
installation.

> > Also, clean up your path so that only one instance of the directory is
> defined.
> >  You're wasting environment memory and making cygwin work harder.
> 
> Well, I added /bin and mounted the bin directory there. Not having
> /bin/sh work is somewhat unproductive. And when I collected that
> info, /bin was in the PATH (though it turned out this didn't solve the
> problem which caused me to put it there). I don't even know (this
> not really being Unix) where the original PATH comes from.
> 

Check out my page for suggestions on directory structure.  It appears that your
confusing gcc with your PATH or directory structure.

> [*] More weird stuff:
> 
> bash-2.02$ find //f/cygnus/ -name hggbjhb
> find: //f/cygnus/cygwin-b20/H-i586-cygwin32/etc: No such file or directory
> find: //f/cygnus/cygwin-b20/H-i586-cygwin32/i586-cygwin32: No such file or
> direc
> tory
> find: //f/cygnus/cygwin-b20/H-i586-cygwin32/i586-pc-cygwin32: No such file or
> di
> rectory
> find: //f/cygnus/cygwin-b20/H-i586-cygwin32/lib: No such file or directory
> find: //f/cygnus/cygwin-b20/H-i586-cygwin32/libexec: No such file or
> directory
> find: //f/cygnus/cygwin-b20: No such file or directory
> bash-2.02$
> 
> Looks like a find (or library) bug.
> 
> 

The directory routines were completely rewritten.  Although, the //f should
work for backward compatibility it should really be /cygdrive/f/.  Try your
find with /cygdrive/f instead of //f.

Also, make certain that you have only one cygwin1.dll in your PATH.  Since find
is having problems use the FileManager Find tool to check it.  I didn't notice
it with the cygcheck you sent but I may have been confused by your multiple
entries in the PATH.
===
Earnie Boyd <mailto:[email-masked]>

Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>

(If you respond to the list, then please don't cc me)
__________________________________________________
Do You Yahoo!?
Bid and sell for free at http://auctions.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]